# Find the maximum number of slices of repeating characters you can split a string into

import sys
def main(inpString):
    max_slices = 0
    for i in range(1, len(inpString)):
        temp = 0
        print inpString[0:i]
        print inpString[i:]
        nextOccuranceIndex = inpString[i:].index(inpString[0:i])
        if nextOccuranceIndex != null:
            temp++
        return max_slices

if __name__ == "__main__":
    print main(sys.argv[1])
